# WarpEverywherePlus
<br/><br/>

### LICENSE:
Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International (CC BY-NC-SA 4.0)
<br/><br/>

### CHANGELOG:
  - 1.1: First Build (started at 1.1 since the original "WarpEverywhere" stopped at 1.0 back in 2018.)
<br/><br/>

__WarpEverywherePlus__ lets you add up to 8 new Time Warp levels, and up to 8 new Physics Warp levels. The original implementation and inspiration came from __5thHorseman__, all credit goes to his initial design!
([forum](http://forum.kerbalspaceprogram.com/index.php?/topic/148278-k) / [github](https://github.com/5thHorseman/WarpEverywhere) / [spacedock](https://spacedock.info/mod/982/Warp%20Everywhere)).
Another great warp implementation is BetterTimeWarp, now adopted by (who else) __LinuxGuruGamer__
([forum](https://forum.kerbalspaceprogram.com/index.php?/topic/154935-19x-bettertimewarpcontinued-customizable-time-warp-and-lossless-physics-warp/) / 
[github](https://github.com/linuxgurugamer/BetterTimeWarpContinued) / [spacedock](http://spacedock.info/mod/1162/BetterTimeWarpContinued)).

Both of those are great choices, and will do what you want. 
What I've done with this mod is upgraded the original WarpEverywhere to use a config file for customization, added physics warp, and recompiled it against KSP 1.8.1 and dotNET 4.7.1.
Adding new warp levels in the config file will *append* them to the existing stock list, which is how the original WarpEverywhere worked.

It would be easy to make the warp levels *overwrite* the stock levels instead (so you could create your own set of warps), 
but appending levels worked well for the existing WarpEverywhere, plus the stock levels are pretty good, so I continued with 5thHorseman's fundamental design.

To help you decide which mod you should use, I've made a helpful comparison table :)
<br/><br/>

![Warp Comparison](https://i.imgur.com/z2Sx4mm.png)
<br/><br/>

# INSTALLATION

- Like all Kerbal Space Program system-level mods, the free [ModuleManager](https://github.com/sarbian/ModuleManager/releases) is required. If you have any other mods, you already have MM in your GameData folder.

- copy "WarpEverywherePlus.dll" and "WarpEverywherePlus.cfg" to "((KSP install folder))\GameData\WarpEverywherePlus", so the file structure looks like this:
        
        \Kerbal Space Program\GameData\WarpEverywherePlus\
                                                  WarpEverywherePlus.cfg
                                                  WarpEverywherePlus.dll
<br/><br/>

# CONFIG FILE REFERENCE

Everything about WarpEverywherePlus is controlled by the settings (text) file "WarpEverywherePlus.cfg". 

You can delete the "WarpEverywherePlus.cfg" file, and a canned template (default) settings file will be created for you.

Here's a simple example of the config entries:


    WarpEverywherePlus
    {
        extra_warp_1 = 7000000
        extra_warp_2 = 8000000      // extra_warp_3, extra_warp_4, etc. You can have up to 8 extra warp rates. Have fun!

        extra_physics_1 = 5
        extra_physics_2 = 10        // extra_physics_3, etc. You can have up to 8 extra physics warp rates. Be careful with physics warp!
    }

<br/>

Enjoy!

![Enjoy](https://i.imgur.com/fzYDpnR.png)
